package com.example.myapplication.database.entities.repository

import androidx.paging.PagingData
import com.example.myapplication.database.entities.model.Bike
import com.example.myapplication.database.entities.model.BikeWithItems
import kotlinx.coroutines.flow.Flow

interface BikeRepository {
    fun getAllBikes(): Flow<PagingData<Bike>>
    suspend fun getBike(uid: Int): BikeWithItems
    suspend fun insertBike(bike: Bike)
    suspend fun updateBike(bike: Bike)
    suspend fun deleteBike(bike: Bike)
}